---
title: Get workspaces list
slug: get-workspaces-list
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "p3iXUJY3wZe8FF8JoqcWV",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://dev1.frontu.com//client/api/v2/workspaces",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/workspaces"
      }
    ],
    "name": "Get workspaces list",
    "description": "Returns all workspaces",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "Example",
            "Example with custom values"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "version",
          "type": "integer",
          "description": "<p>Filter data by given timestamp.\n*                             (WHERE table.version > </p><div></div>).<p></p>",
          "default": 0,
          "pattern": "\\d+"
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer",
          "description": "Page number.",
          "default": 1,
          "pattern": "\\d+"
        },
        {
          "kind": "optional",
          "name": "items",
          "type": "integer",
          "description": "<p>Items per page 100/200/300.</p>",
          "default": 100,
          "pattern": "(100|200|300)"
        },
        {
          "kind": "optional",
          "name": "tag",
          "type": "string",
          "description": "<p>Tag systemId, guid or title.</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "next_page",
                "kind": "optional",
                "type": "integer",
                "description": "<p>0 if no more pages\n*                                                  exists</p>"
              },
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "version",
                    "kind": "optional",
                    "type": "integer",
                    "description": ""
                  },
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>Workspace title (name)</p>"
                  },
                  {
                    "name": "serialNumber",
                    "kind": "optional",
                    "type": "string",
                    "description": "Workspace serial number"
                  },
                  {
                    "name": "longitude",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "latitude",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "note",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "office",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "address",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "city",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "apartmentNumber",
                    "kind": "optional",
                    "type": "integer",
                    "description": ""
                  },
                  {
                    "name": "signatureCode",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "objectCode",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "client",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": [
                      {
                        "name": "title",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "companyCode",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "guid",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "systemId",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": "unique"
                  },
                  {
                    "name": "updated",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "deleted",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "systemId",
                    "kind": "optional",
                    "type": "string",
                    "description": "Unique"
                  },
                  {
                    "name": "warrantyIndicator",
                    "kind": "optional",
                    "type": "integer",
                    "description": ""
                  },
                  {
                    "name": "warrantyRequired",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "warrantyStartDate",
                    "kind": "optional",
                    "type": "string",
                    "description": "Warranty start date"
                  },
                  {
                    "name": "warrantyEndDate",
                    "kind": "optional",
                    "type": "string",
                    "description": "Warranty end date"
                  },
                  {
                    "name": "extendedWarrantyEndDate",
                    "kind": "optional",
                    "type": "string",
                    "description": "Extended warranty end date"
                  },
                  {
                    "name": "warrantyIndicatorLimit",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "Warranty indicator limit",
                    "format": "int32"
                  },
                  {
                    "name": "extendedWarrantyIndicatorLimit",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "Extended warranty indicator limit",
                    "format": "int32"
                  },
                  {
                    "name": "warrantyResponsiblePerson",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": [
                      {
                        "name": "firstName",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "lastName",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "email",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "phone",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "guid",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "systemId",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "fullAddress",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "region",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "tags",
                    "kind": "optional",
                    "type": "array",
                    "description": "Tag titles assigned to the record.",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "customValues",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "guid",
                        "kind": "optional",
                        "type": "string",
                        "description": "Unique"
                      },
                      {
                        "name": "value",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Entity Not Found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "4lwKAUX22PIBJ5zn2P4eB",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://dev1.frontu.com//client/api/v2/workspaces?version=integer&page=1&items=100' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "eSlxxCUUPmmBRv5EOlddZ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/workspaces?version=integer&page=1&items=100\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "iEJljoWRFFaLaabDrmGw9",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/workspaces?version=integer&page=1&items=100\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "UXXD3llaReWk-Nuvjrst4",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/workspaces?version=integer&page=1&items=100\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "4lwKAUX22PIBJ5zn2P4eB"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Returned when successful\n{\n  \"next_page\": 0,\n  \"items\": [\n    {\n      \"version\": 0,\n      \"title\": \"\",\n      \"serialNumber\": \"\",\n      \"longitude\": \"\",\n      \"latitude\": \"\",\n      \"note\": \"\",\n      \"office\": \"\",\n      \"address\": \"\",\n      \"city\": \"\",\n      \"apartmentNumber\": 0,\n      \"signatureCode\": \"\",\n      \"objectCode\": \"\",\n      \"client\": {\n        \"title\": \"\",\n        \"companyCode\": \"\",\n        \"guid\": \"\",\n        \"systemId\": \"\"\n      },\n      \"created\": \"\",\n      \"guid\": \"\",\n      \"updated\": \"\",\n      \"deleted\": false,\n      \"systemId\": \"\",\n      \"warrantyIndicator\": 0,\n      \"warrantyRequired\": false,\n      \"warrantyStartDate\": \"\",\n      \"warrantyEndDate\": \"\",\n      \"extendedWarrantyEndDate\": \"\",\n      \"warrantyIndicatorLimit\": \"\",\n      \"extendedWarrantyIndicatorLimit\": \"\",\n      \"warrantyResponsiblePerson\": {\n        \"firstName\": \"\",\n        \"lastName\": \"\",\n        \"email\": \"\",\n        \"phone\": \"\",\n        \"guid\": \"\",\n        \"systemId\": \"\"\n      },\n      \"type\": \"\",\n      \"fullAddress\": \"\",\n      \"region\": \"\",\n      \"tags\": [\n        \"\"\n      ],\n      \"customValues\": [\n        {\n          \"guid\": \"\",\n          \"value\": \"\"\n        }\n      ]\n    }\n  ]\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// Entity Not Found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}